#
# Conditional build:
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module

%define 	module	lockfile
Summary:	Exports a LockFile class which provides a simple API for locking files
Name:		python-%{module}
Version:	0.12.2
Release:	10
License:	MIT
Group:		Development/Languages/Python
Source0:	https://github.com/openstack/pylockfile/archive/%{version}.tar.gz
# Source0-md5:	f2927523a056f4943604d08f4aa4c260
URL:		http://pypi.python.org/pypi/lockfile
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-pbr
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-pbr
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The lockfile package exports a LockFile class which provides a simple
API for locking files. Unlike the Windows msvcrt.locking function, the
fcntl.lockf and flock functions, and the deprecated posixfile module,
the API is identical across both Unix (including Linux and Mac) and
Windows platforms. The lock mechanism relies on the atomic nature of
the link (on Unix) and mkdir (on Windows) system calls. An
implementation based on SQLite is also provided, more as a
demonstration of the possibilities it provides than as
production-quality code.

%package -n python3-%{module}
Summary:	Exports a LockFile class which provides a simple API for locking files
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
The lockfile package exports a LockFile class which provides a simple
API for locking files. Unlike the Windows msvcrt.locking function, the
fcntl.lockf and flock functions, and the deprecated posixfile module,
the API is identical across both Unix (including Linux and Mac) and
Windows platforms. The lock mechanism relies on the atomic nature of
the link (on Unix) and mkdir (on Windows) system calls. An
implementation based on SQLite is also provided, more as a
demonstration of the possibilities it provides than as
production-quality code.

%prep
%setup -q -n pylockfile-%{version}

%build
%if %{with python2}
export PBR_VERSION=$(rpm -q --qf '%{VERSION}' python-pbr)
%py_build
%endif

%if %{with python3}
export PBR_VERSION=$(rpm -q --qf '%{VERSION}' python3-pbr)
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
export PBR_VERSION=$(rpm -q --qf '%{VERSION}' python-pbr)
%py_install

%py_postclean
%endif

%if %{with python3}
export PBR_VERSION=$(rpm -q --qf '%{VERSION}' python3-pbr)
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ACKS README.rst RELEASE-NOTES
%dir %{py_sitescriptdir}/lockfile
%{py_sitescriptdir}/lockfile/*.py[co]
%{py_sitescriptdir}/lockfile-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc ACKS README.rst RELEASE-NOTES
%{py3_sitescriptdir}/lockfile
%{py3_sitescriptdir}/lockfile-*.egg-info
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-lockfile.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8fb972b
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 95fd168
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 34b74a2
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0fa5cc7
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ea262ad
- rebuild with python 3.10

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 37087ae
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> bb2a361
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 32acf1f
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 17d025c
- python 3.6
- release 2 (by relup.sh)

* Mon Sep 19 2016 Elan Ruusamäe <glen@delfi.ee> 4117eb9
- adapter (still tabs); fix missing bcond on files

* Mon Sep 19 2016 Jacek Konieczny <jajcus@jajcus.net> 882f0b9
- Version: 0.12.2, Python 3 support

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5769cf1
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3bd3d3c
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8f66e57
- automatic change: use py_build/py_install macros

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> 6ca20dd
- hack in build time too

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> aa4fb99
- hack around retarted version detection in python-pbr

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> a4926d9
- BR python-pbr

* Mon Jul 20 2015 Patryk Szczygłowski <patryk@patryk.net> faebb78
- upgrade to 0.10.2, new source

* Tue Feb 07 2012 lisu <lisu@pld-linux.org> 71dfc56
- package missing dir

* Tue Feb 07 2012 lisu <lisu@pld-linux.org> db95f41
- new

